> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beam.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# List Containers/Pods/Sandboxes

> List containers/pods/sandboxes associated with your workspace.



## OpenAPI

````yaml /v2/reference/api-docs/gateway.swagger.json GET /containers
openapi: 3.0.0
info:
  title: gateway.proto
  version: version not set
servers:
  - url: https://app.beam.cloud/api/v1/gateway
  - url: /api/v1/gateway
security:
  - bearerAuth: []
tags:
  - name: GatewayService
paths:
  /containers:
    get:
      tags:
        - GatewayService
      operationId: GatewayService_ListContainers
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/gatewayListContainersResponse'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
components:
  schemas:
    gatewayListContainersResponse:
      type: object
      properties:
        containers:
          type: array
          items:
            $ref: '#/components/schemas/typesContainer'
        ok:
          type: boolean
        errorMsg:
          type: string
    rpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    typesContainer:
      type: object
      properties:
        containerId:
          type: string
        stubId:
          type: string
        status:
          type: string
        scheduledAt:
          type: string
          format: date-time
        startedAt:
          type: string
          format: date-time
        workspaceId:
          type: string
        workerId:
          type: string
        machineId:
          type: string
        deploymentId:
          type: string
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties: {}
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````